#include "platform/cm4/InterruptHandler.h"
#include "platform/cm4/InterruptGuardian.h"

using namespace pinetime::platform::cm4;

InterruptGuardian::InterruptGuardian()
{
    disable_interrupts();
}

void InterruptGuardian::register_handler(Cm4IrqN irq_nr, InterruptHandler &handler)
{
    this->cm4_vector[irq_nr] = &handler;
}
